package cn.com.qmth.examcloud.service.core.service;

import java.util.Date;

import javax.transaction.Transactional;

import cn.com.qmth.examcloud.service.core.entity.Student;
import cn.com.qmth.examcloud.service.core.repo.StudentRepo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.service.core.entity.StudentFaceInfo;
import cn.com.qmth.examcloud.service.core.repo.StudentFaceInfoRepo;


@Service
public class StudentFaceInfoService {

    @Autowired
    StudentFaceInfoRepo studentFaceInfoRepo;

	@Autowired
	StudentRepo studentRepo;

    @Transactional
    public StudentFaceInfo save(StudentFaceInfo studentFaceInfo) {
    	StudentFaceInfo old = studentFaceInfoRepo.findByStudentId(studentFaceInfo.getStudent().getId());

		Student student = studentRepo.findOne(studentFaceInfo.getStudent().getId());
		if(student != null){
			student.setPhotoPath(student.getIdentityNumber()+"/"+studentFaceInfo.getPhotoMD5());
			studentRepo.save(student);
		}
		
    	if(old == null){
			studentFaceInfo.setCreateTime(new Date());
			return studentFaceInfoRepo.save(studentFaceInfo);
    	}
    	old.setUpdateTime(new Date());
    	old.setUpdateUser(studentFaceInfo.getUpdateUser());
    	old.setFaceSetToken(studentFaceInfo.getFaceSetToken());
    	old.setFaceToken(studentFaceInfo.getFaceToken());
    	old.setPhotoMD5(studentFaceInfo.getPhotoMD5());
    	old.setCreateType(studentFaceInfo.getCreateType());
        return studentFaceInfoRepo.save(old);
    }

}
